package com.fdkankan.scene.service;

import com.fdkankan.scene.entity.SceneDownloadLog;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 * 场景下载记录 服务类
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
public interface ISceneDownloadLogService extends IService<SceneDownloadLog> {

    void updateStatusByNum(String sceneNum, Integer status);

    void deleteStatusByNum(String sceneNum);

    SceneDownloadLog findByStatusAndNum(String sceneNum, Integer status);

    SceneDownloadLog findLastOneByNum(String sceneNum);

    void updateSceneDownloadLog(String num, Integer status, String url, String reason);

}
